Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management
Class ManagementException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.management.ManagementException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

Direct Known Subclasses:
  ConfigurationException, DeploymentException, DistributedManagementException, MBeanCreationException, UndeploymentException

public class ManagementException
extends weblogic.utils.NestedException

The top-level management exception. It may or may not nest another exception.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`ManagementException(String message)`
`ManagementException(String message, Throwable t)`
`ManagementException(String message, Throwable t, boolean unWrapExceptions)`
`ManagementException(Throwable t)`

Method Summary
`static Throwable` | `unWrapExceptions(Throwable exception)`

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManagementException

    public ManagementException(String message)

### ManagementException

    public ManagementException(String message,
                               Throwable t)

### ManagementException

    public ManagementException(String message,
                               Throwable t,
                               boolean unWrapExceptions)

### ManagementException

    public ManagementException(Throwable t)

Method Detail

### unWrapExceptions

    public static Throwable unWrapExceptions(Throwable exception)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD